summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--GEMV/host/app.c4
-rwxr-xr-xGEMV/run-fgbs24a.sh9
2 files changed, 10 insertions, 3 deletions
diff --git a/GEMV/host/app.c b/GEMV/host/app.c
index d1cfaf5..649e8e5 100644
--- a/GEMV/host/app.c
+++ b/GEMV/host/app.c
@@ -281,8 +281,10 @@ int main(int argc, char **argv) {
if (status) {
printf("[" ANSI_COLOR_GREEN "OK" ANSI_COLOR_RESET "] Outputs are equal\n");
if (rep >= p.n_warmup) {
- printf("[::] GEMV UPMEM | n_dpus=%d n_tasklets=%d e_type=%s block_size_B=%d n_elements=%d ",
+ printf("[::] GEMV UPMEM | n_dpus=%d n_tasklets=%d e_type=%s block_size_B=%d n_elements=%d",
nr_of_dpus, NR_TASKLETS, XSTR(T), BLOCK_SIZE, n_size * m_size);
+ printf(" b_with_alloc_overhead=%d b_with_load_overhead=%d b_with_free_overhead=%d ",
+ WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
printf("| latency_alloc_us=%f latency_load_us=%f latency_cpu_us=%f latency_write_us=%f latency_kernel_us=%f latency_read_us=%f latency_free_us=%f",
timer.time[0],
timer.time[1],
diff --git a/GEMV/run-fgbs24a.sh b/GEMV/run-fgbs24a.sh
index 8ee44e2..4135623 100755
--- a/GEMV/run-fgbs24a.sh
+++ b/GEMV/run-fgbs24a.sh
@@ -4,19 +4,24 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
(
echo "prim-benchmarks GEMV (dfatool fgbs24a edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
for nr_tasklets in 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
timeout --foreground -k 1m 30m bin/gemv_host -w 0 -e 100 -m 163840 -n 4096 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/gemv_host -w 0 -e 100 -m 163840 -n 4096 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"